usb_gadget_clear_selfpowered
Prev | Core Objects and Methods | Next

## Name

usb_gadget_clear_selfpowered — clear the device selfpowered feature.

## Synopsis

`int usb_gadget_clear_selfpowered (` | struct usb_gadget * | gadget`)`;

## Arguments

`gadget`

  the device being declared as bus-powered

## Description

this affects the device status reported by the hardware driver. some hardware may not support bus-powered operation, in which case this feature's value can never change.

returns zero on success, else negative errno.

Prev | Up | Next
usb_gadget_set_selfpowered | Home | usb_gadget_vbus_connect